petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestSetTopology

Set the topology of a DMForest during the pre-setup phase. The topology is a string (e.g. "cube", "shell") and can be interpreted by subtypes of DMFOREST) to construct the base DM of a forest during DMSetUp().

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetTopology(DM dm, DMForestTopology topology)

Logically collective on dm

### Input parameters

| dm | - the forest
| topology | - the topology of the forest

### See Also

): DMForestGetTopology(), DMForestSetBaseDM()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages